using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class PauseMenu : MonoBehaviour {

	public static bool isPaused = false; //Переключатель паузы

	[Header("System")]
	public GameObject pauseMenuUI; //Меню паузы

	void Update()
	{
        //Переключение паузы
		if(Input.GetButtonDown("Cancel"))
		{
			if (isPaused) 
			{
				Resume ();
			}
			else
			{
				Pause();
			}
		}
	}

    //Выключение паузы
	public void Resume()
	{
		Debug.Log ("Resume");
		pauseMenuUI.SetActive (false);
		Time.timeScale = 1f;
		isPaused = false;
	}

    //Включение паузы
	public void Pause()
	{
		Debug.Log ("Pause");
		pauseMenuUI.SetActive (true);
		Time.timeScale = 0f;
		isPaused = true;
	}

    //Загрузка меню
	public void LoadMenu()
	{
		Resume ();
		SceneManager.LoadScene ("menu");
	}

    //Выход из игры
	public void QuitGame()
	{
		Debug.Log ("Quitting game...");
		Application.Quit ();
	}

    //Рестарт (Перезагрузка уровня)
    public void Restart()
    {
        SceneManager.LoadScene("game");
    }
}
